@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html , body
{
    line-height: 1.4;
    font-weight: 300;
    font-family: 'Roboto', sans-serif;
}

.img1{
    background-image: url(https://t4.ftcdn.net/jpg/02/59/51/27/360_F_259512724_CNyuOPHTaiFYS32X5Cvd4pq5qV8l5zh7.jpg);
    min-height: 100vh;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.heading{
    color: white;
    max-width: 900px;
    margin: 0 auto;
    padding-top: 64px;
    padding-left: 16px;
}

.hii{
    font-size: 62px;
    font-weight: 400px;
}

.black_box{
    background-color: black;
    padding: 25px;
}

.black_box h2{
    color: white;
    font-size: 72px;
    font-weight: 300px;
    text-align: center;
}

.black_box h2 span{
    font-size: 96px;
    font-weight: 400 px;
}

.work{
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit,minmax(320px, 1fr));
    /* margin: 20px 0; */
    max-width: 1100px;
    margin: 50px auto;
}

.grid_item{
    display: flex;
    justify-content: center;
    align-content: center;
}
.card{
    max-width: 320px;
    height: 400px;
    border-radius: 10px;
    box-shadow: 3px 5px 5px rgba(1, 1, 1, 0.2);
    transition: 0.2s ease-in-out;
}
.card:hover{
    transform: scale(1.04);
    box-shadow: 3px 5px 5px rgba(1, 1, 1, 0.3);
    transition: 0.2s ease-in-out;
}
.card_container{
    padding: 20px;
}
.card_container h3{
    margin-bottom: 20px;
}
.bottom{
    display: flex;
    
    
}
.contact{
    background-color: green;
    /* min-width: 50%; */
}
.about{
    background-color: red;
}
.contact,
.about{
    min-height: 300px;
    padding: 32px;
    color: white;
}
.contact h2,
.about h2{
    font-size: 54px;
    font-weight: 300px;
}

.contact p,
.about p{
     margin-bottom: 20px;
}

footer{
    color: aliceblue;
    background-color: black;
    text-align: center;
    text-transform: uppercase;
    padding: 20px;
}

@media (max-weidth : 150%){
    .img1{
        min-height : 50vh;
    }
    .heading{
        padding: 10px 0;
        text-align: center;
    }
    .hii{
        font-size: 32px;
    }
    .black_box h2{
        font-size: 24px;
    }
    .black_box h2 span{
        font-size: 32px;
        font-weight: 400;
    }
    .bottom{
        flex-direction: column;
    }
}